curl --request POST \
--url https://api.iotools.cloud/v1/tool/bloom-filter-parameter-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"n": "10000",
"targetFpRate": "1"
}
'{
"tool": "bloom-filter-parameter-calculator",
"tool_version": "1.0.2",
"outputs": {
"results": [
{
"metric": "Bit array size (m)",
"value": "95,851 bits"
},
{
"metric": "Bits per item",
"value": "9.59 bits"
},
{
"metric": "Hash functions (k)",
"value": "7"
},
{
"metric": "Memory required",
"value": "11,982 bytes (11.70 KB)"
},
{
"metric": "Actual false positive rate",
"value": "1.0039%"
}
],
"chartSvg": "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"560\" height=\"300\" viewBox=\"0 0 560 300\" font-family=\"system-ui, -apple-system, Segoe UI, Roboto, sans-serif\"><rect width=\"560\" height=\"300\" fill=\"#ffffff\"/><line x1=\"70\" y1=\"256.00\" x2=\"532.00\" y2=\"256.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"259.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">0.00</text><line x1=\"70\" y1=\"197.00\" x2=\"532.00\" y2=\"197.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"200.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">6.32</text><line x1=\"70\" y1=\"138.00\" x2=\"532.00\" y2=\"138.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"141.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">12.6</text><line x1=\"70\" y1=\"79.00\" x2=\"532.00\" y2=\"79.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"82.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">19.0</text><line x1=\"70\" y1=\"20.00\" x2=\"532.00\" y2=\"20.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"23.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">25.3</text><line x1=\"70\" y1=\"20\" x2=\"70\" y2=\"256\" stroke=\"#9ca3af\" stroke-width=\"1\"/><line x1=\"70\" y1=\"256\" x2=\"532.00\" y2=\"256\" stroke=\"#9ca3af\" stroke-width=\"1\"/><line x1=\"70.00\" y1=\"256\" x2=\"70.00\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"70.00\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">50%</text><line x1=\"157.30\" y1=\"256\" x2=\"157.30\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"157.30\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">10%</text><line x1=\"282.20\" y1=\"256\" x2=\"282.20\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"282.20\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">1%</text><line x1=\"407.10\" y1=\"256\" x2=\"407.10\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"407.10\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">0.1%</text><line x1=\"532.00\" y1=\"256\" x2=\"532.00\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"532.00\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">0.01%</text><line x1=\"70.00\" y1=\"239.55\" x2=\"532.00\" y2=\"37.48\" stroke=\"#464aff\" stroke-width=\"2.5\"/><line x1=\"282.20\" y1=\"146.74\" x2=\"282.20\" y2=\"256\" stroke=\"#dc2626\" stroke-width=\"1\" stroke-dasharray=\"3 3\"/><line x1=\"70\" y1=\"146.74\" x2=\"282.20\" y2=\"146.74\" stroke=\"#dc2626\" stroke-width=\"1\" stroke-dasharray=\"3 3\"/><circle cx=\"282.20\" cy=\"146.74\" r=\"4.5\" fill=\"#dc2626\"/><text x=\"290.20\" y=\"138.74\" font-size=\"11\" font-weight=\"600\" fill=\"#dc2626\">11.7 KB</text><text x=\"301.00\" y=\"294.00\" font-size=\"11\" text-anchor=\"middle\" fill=\"#374151\">Target false positive rate (log scale)</text><text x=\"14\" y=\"138.00\" font-size=\"11\" text-anchor=\"middle\" fill=\"#374151\" transform=\"rotate(-90 14 138.00)\">Memory required (KB)</text></svg>"
},
"credits_used": 5,
"credits_remaining": null
}Calculators
Bloom Filter Parameter Calculator
Calculate the optimal bit array size and hash function count for a Bloom filter from the expected number of items and a target false positive rate. Get an exact memory breakdown (bits, bytes, KB/MB/GB) and a false-positive-rate-vs-memory tradeoff chart.
POST
/
v1
/
tool
/
bloom-filter-parameter-calculator
curl --request POST \
--url https://api.iotools.cloud/v1/tool/bloom-filter-parameter-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"n": "10000",
"targetFpRate": "1"
}
'{
"tool": "bloom-filter-parameter-calculator",
"tool_version": "1.0.2",
"outputs": {
"results": [
{
"metric": "Bit array size (m)",
"value": "95,851 bits"
},
{
"metric": "Bits per item",
"value": "9.59 bits"
},
{
"metric": "Hash functions (k)",
"value": "7"
},
{
"metric": "Memory required",
"value": "11,982 bytes (11.70 KB)"
},
{
"metric": "Actual false positive rate",
"value": "1.0039%"
}
],
"chartSvg": "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"560\" height=\"300\" viewBox=\"0 0 560 300\" font-family=\"system-ui, -apple-system, Segoe UI, Roboto, sans-serif\"><rect width=\"560\" height=\"300\" fill=\"#ffffff\"/><line x1=\"70\" y1=\"256.00\" x2=\"532.00\" y2=\"256.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"259.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">0.00</text><line x1=\"70\" y1=\"197.00\" x2=\"532.00\" y2=\"197.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"200.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">6.32</text><line x1=\"70\" y1=\"138.00\" x2=\"532.00\" y2=\"138.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"141.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">12.6</text><line x1=\"70\" y1=\"79.00\" x2=\"532.00\" y2=\"79.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"82.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">19.0</text><line x1=\"70\" y1=\"20.00\" x2=\"532.00\" y2=\"20.00\" stroke=\"#e5e7eb\" stroke-width=\"1\"/><text x=\"62.00\" y=\"23.00\" font-size=\"10\" text-anchor=\"end\" fill=\"#6b7280\">25.3</text><line x1=\"70\" y1=\"20\" x2=\"70\" y2=\"256\" stroke=\"#9ca3af\" stroke-width=\"1\"/><line x1=\"70\" y1=\"256\" x2=\"532.00\" y2=\"256\" stroke=\"#9ca3af\" stroke-width=\"1\"/><line x1=\"70.00\" y1=\"256\" x2=\"70.00\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"70.00\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">50%</text><line x1=\"157.30\" y1=\"256\" x2=\"157.30\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"157.30\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">10%</text><line x1=\"282.20\" y1=\"256\" x2=\"282.20\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"282.20\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">1%</text><line x1=\"407.10\" y1=\"256\" x2=\"407.10\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"407.10\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">0.1%</text><line x1=\"532.00\" y1=\"256\" x2=\"532.00\" y2=\"260.00\" stroke=\"#9ca3af\" stroke-width=\"1\"/><text x=\"532.00\" y=\"272.00\" font-size=\"10\" text-anchor=\"middle\" fill=\"#6b7280\">0.01%</text><line x1=\"70.00\" y1=\"239.55\" x2=\"532.00\" y2=\"37.48\" stroke=\"#464aff\" stroke-width=\"2.5\"/><line x1=\"282.20\" y1=\"146.74\" x2=\"282.20\" y2=\"256\" stroke=\"#dc2626\" stroke-width=\"1\" stroke-dasharray=\"3 3\"/><line x1=\"70\" y1=\"146.74\" x2=\"282.20\" y2=\"146.74\" stroke=\"#dc2626\" stroke-width=\"1\" stroke-dasharray=\"3 3\"/><circle cx=\"282.20\" cy=\"146.74\" r=\"4.5\" fill=\"#dc2626\"/><text x=\"290.20\" y=\"138.74\" font-size=\"11\" font-weight=\"600\" fill=\"#dc2626\">11.7 KB</text><text x=\"301.00\" y=\"294.00\" font-size=\"11\" text-anchor=\"middle\" fill=\"#374151\">Target false positive rate (log scale)</text><text x=\"14\" y=\"138.00\" font-size=\"11\" text-anchor=\"middle\" fill=\"#374151\" transform=\"rotate(-90 14 138.00)\">Memory required (KB)</text></svg>"
},
"credits_used": 5,
"credits_remaining": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?